Summary:	Litecoin is a peer-to-peer currency
Summary(pl.UTF-8):	Litecoin - waluta peer-to-peer
Name:		litecoin
Version:	0.13.2
Release:	7
License:	MIT
Group:		X11/Applications
Source0:	https://github.com/litecoin-project/litecoin/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	c0944edfe7ef8612556d3bbf543b6974
URL:		http://www.litecoin.org/
BuildRequires:	QtCore-devel >= 4
BuildRequires:	QtDBus-devel >= 4
BuildRequires:	QtGui-devel >= 4
BuildRequires:	automake >= 2.60
BuildRequires:	autoconf
BuildRequires:	boost-devel >= 1.49
BuildRequires:	db-cxx-devel >= 4.8
BuildRequires:	gettext-tools
BuildRequires:	libevent-devel
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	libtool >= 2:2
BuildRequires:	libunivalue-devel
BuildRequires:	miniupnpc-devel >= 1.5
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	protobuf-devel
BuildRequires:	qrencode-devel
BuildRequires:	qt4-linguist >= 4
BuildRequires:	qt4-qmake >= 4
BuildRequires:	zeromq-devel >= 4
Requires:	perl-base
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Litecoin is a peer-to-peer currency. Peer-to-peer means that no
central authority issues new money or tracks transactions. These tasks
are managed collectively by the network.

%description -l pl.UTF-8
Litecoin to waluta peer-to-peer. Oznacza to, że nie ma centralnej
instytucji emitującej nowe pieniądze czy śledzącej transakcje. Zadania
te są zarządzane kolektywnie przez sieć.

%package qt
Summary:	Qt-based Litecoin Wallet
Summary(pl.UTF-8):	Portfel na litecoiny oparty na Qt
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description qt
Qt-based Litecoin Wallet.

%description qt -l pl.UTF-8
Portfel na litecoiny oparty na Qt.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I build-aux/m4
%{__autoconf}
%{__autoheader}
%{__automake}
cd src/secp256k1
%{__libtoolize}
%{__aclocal} -I build-aux/m4
%{__autoconf}
%{__autoheader}
%{__automake}
cd ../..
%configure \
	--disable-shared \
	--disable-silent-rules \
	--with-boost \
	--with-gui=qt4 \
	--with-incompatible-bdb \
	--with-miniupnpc \
	--with-qrencode \
	--with-qtdbus \
	--with-system-univalue
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir},%{_datadir}/kde4/services}

sed -e 's#bitcoin#litecoin#g' -e 's#Bitcoin#Litecoin#g' contrib/debian/bitcoin-qt.desktop > $RPM_BUILD_ROOT%{_desktopdir}/litecoin-qt.desktop
sed -e 's#bitcoin#litecoin#g' -e 's#Bitcoin#Litecoin#g' contrib/debian/bitcoin-qt.protocol > $RPM_BUILD_ROOT%{_datadir}/kde4/services/litecoin-qt.protocol

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# shared disabled, development packages present in bitcoin.spec and feathercoin.spec
%{__rm} -r $RPM_BUILD_ROOT{%{_libdir}/libbitcoinconsensus.*,%{_includedir}/bitcoinconsensus.h,%{_pkgconfigdir}/libbitcoinconsensus.pc}

cp -p share/pixmaps/bitcoin32.png $RPM_BUILD_ROOT%{_pixmapsdir}/litecoin32.png
cp -p share/pixmaps/bitcoin64.png $RPM_BUILD_ROOT%{_pixmapsdir}/litecoin64.png
cp -p share/pixmaps/bitcoin128.png $RPM_BUILD_ROOT%{_pixmapsdir}/litecoin128.png
cp -p share/pixmaps/bitcoin256.png $RPM_BUILD_ROOT%{_pixmapsdir}/litecoin256.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING README.md doc/*.txt contrib/debian/examples/bitcoin.conf
%attr(755,root,root) %{_bindir}/litecoind
%attr(755,root,root) %{_bindir}/litecoin-cli
%attr(755,root,root) %{_bindir}/litecoin-tx

%files qt
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/litecoin-qt
%{_datadir}/kde4/services/litecoin-qt.protocol
%{_desktopdir}/litecoin-qt.desktop
%{_pixmapsdir}/litecoin*.png
%changelog
* Mon Oct 15 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/litecoin.git;a=log;h=master

* Mon Oct 15 2018 Jakub Bogusz <qboosh@pld-linux.org> 2d02f65
- autogen in subdir

* Mon Oct 15 2018 Jakub Bogusz <qboosh@pld-linux.org> 02fa6ee
- pl, cleanups, release 7 (rebuild with protobuf 3.6)

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 09130af
- release 6 (by relup.sh)

* Tue Dec 12 2017 Jan Rękorajski <baggins@pld-linux.org> 453d585
- release 5 (by relup.sh)

* Tue Nov 28 2017 Jan Rękorajski <baggins@pld-linux.org> 4b64de9
- release 4 (by relup.sh)

* Mon Apr 17 2017 Jan Rękorajski <baggins@pld-linux.org> 6300034
- rebuild with protobuf 3.2
- release 3 (by relup.sh)

* Sun Apr 16 2017 Jan Rękorajski <baggins@pld-linux.org> 0f5b536
- rebuild with miniupnpc 2.0
- release 2 (by relup.sh)

* Wed Apr 12 2017 Jan Rękorajski <baggins@pld-linux.org> 0633492
- up to 0.13.2

* Mon May 16 2016 Elan Ruusamäe <glen@delfi.ee> 723e1ba
- boost rebuild
- release 3 (by relup.sh)

* Sat Nov 14 2015 Jan Rękorajski <baggins@pld-linux.org> 533d2e1
- release 2 (by relup.sh)

* Fri Jun 19 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 14f2443
- up to 0.10.2.2

* Mon Feb 16 2015 Jan Rękorajski <baggins@pld-linux.org> 3e521cc
- rebuild with boost 1.57.0
- release 5 (by relup.sh)

* Sat Oct 25 2014 Jan Rękorajski <baggins@pld-linux.org> 62bcef0
- rebuild with boost 1.56.0
- release 4 (by relup.sh)

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> 5b93e96
- - rebuild with boost 1.55.0
- release 3 (by relup.sh)

* Thu Dec 26 2013 Elan Ruusamäe <glen@delfi.ee> 504d74c
- pass CXX to make

* Thu Dec 26 2013 Elan Ruusamäe <glen@delfi.ee> c9cc9db
- BR qt4-linguist

* Thu Dec 26 2013 Elan Ruusamäe <glen@delfi.ee> 9719e2b
- no, do not make %install not re-entrable

* Thu Dec 26 2013 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> 3e02029
- fixed desktop file and added pixmaps
- rel 2

* Mon Dec 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> fa7c913
- up to 0.8.6.1

* Sat Sep 14 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> c2784f5
- up to 0.8.5.1

